Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
29.128.0.0
Broadcast address
29.255.255.255
First usable
29.128.0.1
Last usable
29.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 1D800000 · Integer 494927872 to 503316479
Reverse DNS zones
128.29.in-addr.arpa
129.29.in-addr.arpa
130.29.in-addr.arpa
131.29.in-addr.arpa
132.29.in-addr.arpa
133.29.in-addr.arpa
134.29.in-addr.arpa
135.29.in-addr.arpa
136.29.in-addr.arpa
137.29.in-addr.arpa
138.29.in-addr.arpa
139.29.in-addr.arpa
140.29.in-addr.arpa
141.29.in-addr.arpa
142.29.in-addr.arpa
143.29.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10000000.00000000.0000000029.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00011101.10000000.00000000.0000000029.128.0.0
Broadcast00011101.11111111.11111111.1111111129.255.255.255
Split into smaller subnets/17

29.128.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.128.0.0/1729.128.0.1 to 29.128.127.25429.128.127.25532,766
229.128.128.0/1729.128.128.1 to 29.128.255.25429.128.255.25532,766
329.129.0.0/1729.129.0.1 to 29.129.127.25429.129.127.25532,766
429.129.128.0/1729.129.128.1 to 29.129.255.25429.129.255.25532,766
529.130.0.0/1729.130.0.1 to 29.130.127.25429.130.127.25532,766
629.130.128.0/1729.130.128.1 to 29.130.255.25429.130.255.25532,766
729.131.0.0/1729.131.0.1 to 29.131.127.25429.131.127.25532,766
829.131.128.0/1729.131.128.1 to 29.131.255.25429.131.255.25532,766
929.132.0.0/1729.132.0.1 to 29.132.127.25429.132.127.25532,766
1029.132.128.0/1729.132.128.1 to 29.132.255.25429.132.255.25532,766
1129.133.0.0/1729.133.0.1 to 29.133.127.25429.133.127.25532,766
1229.133.128.0/1729.133.128.1 to 29.133.255.25429.133.255.25532,766
1329.134.0.0/1729.134.0.1 to 29.134.127.25429.134.127.25532,766
1429.134.128.0/1729.134.128.1 to 29.134.255.25429.134.255.25532,766
1529.135.0.0/1729.135.0.1 to 29.135.127.25429.135.127.25532,766
1629.135.128.0/1729.135.128.1 to 29.135.255.25429.135.255.25532,766
1729.136.0.0/1729.136.0.1 to 29.136.127.25429.136.127.25532,766
1829.136.128.0/1729.136.128.1 to 29.136.255.25429.136.255.25532,766
1929.137.0.0/1729.137.0.1 to 29.137.127.25429.137.127.25532,766
2029.137.128.0/1729.137.128.1 to 29.137.255.25429.137.255.25532,766
2129.138.0.0/1729.138.0.1 to 29.138.127.25429.138.127.25532,766
2229.138.128.0/1729.138.128.1 to 29.138.255.25429.138.255.25532,766
2329.139.0.0/1729.139.0.1 to 29.139.127.25429.139.127.25532,766
2429.139.128.0/1729.139.128.1 to 29.139.255.25429.139.255.25532,766
2529.140.0.0/1729.140.0.1 to 29.140.127.25429.140.127.25532,766
2629.140.128.0/1729.140.128.1 to 29.140.255.25429.140.255.25532,766
2729.141.0.0/1729.141.0.1 to 29.141.127.25429.141.127.25532,766
2829.141.128.0/1729.141.128.1 to 29.141.255.25429.141.255.25532,766
2929.142.0.0/1729.142.0.1 to 29.142.127.25429.142.127.25532,766
3029.142.128.0/1729.142.128.1 to 29.142.255.25429.142.255.25532,766
3129.143.0.0/1729.143.0.1 to 29.143.127.25429.143.127.25532,766
3229.143.128.0/1729.143.128.1 to 29.143.255.25429.143.255.25532,766
3329.144.0.0/1729.144.0.1 to 29.144.127.25429.144.127.25532,766
3429.144.128.0/1729.144.128.1 to 29.144.255.25429.144.255.25532,766
3529.145.0.0/1729.145.0.1 to 29.145.127.25429.145.127.25532,766
3629.145.128.0/1729.145.128.1 to 29.145.255.25429.145.255.25532,766
3729.146.0.0/1729.146.0.1 to 29.146.127.25429.146.127.25532,766
3829.146.128.0/1729.146.128.1 to 29.146.255.25429.146.255.25532,766
3929.147.0.0/1729.147.0.1 to 29.147.127.25429.147.127.25532,766
4029.147.128.0/1729.147.128.1 to 29.147.255.25429.147.255.25532,766
4129.148.0.0/1729.148.0.1 to 29.148.127.25429.148.127.25532,766
4229.148.128.0/1729.148.128.1 to 29.148.255.25429.148.255.25532,766
4329.149.0.0/1729.149.0.1 to 29.149.127.25429.149.127.25532,766
4429.149.128.0/1729.149.128.1 to 29.149.255.25429.149.255.25532,766
4529.150.0.0/1729.150.0.1 to 29.150.127.25429.150.127.25532,766
4629.150.128.0/1729.150.128.1 to 29.150.255.25429.150.255.25532,766
4729.151.0.0/1729.151.0.1 to 29.151.127.25429.151.127.25532,766
4829.151.128.0/1729.151.128.1 to 29.151.255.25429.151.255.25532,766
4929.152.0.0/1729.152.0.1 to 29.152.127.25429.152.127.25532,766
5029.152.128.0/1729.152.128.1 to 29.152.255.25429.152.255.25532,766
5129.153.0.0/1729.153.0.1 to 29.153.127.25429.153.127.25532,766
5229.153.128.0/1729.153.128.1 to 29.153.255.25429.153.255.25532,766
5329.154.0.0/1729.154.0.1 to 29.154.127.25429.154.127.25532,766
5429.154.128.0/1729.154.128.1 to 29.154.255.25429.154.255.25532,766
5529.155.0.0/1729.155.0.1 to 29.155.127.25429.155.127.25532,766
5629.155.128.0/1729.155.128.1 to 29.155.255.25429.155.255.25532,766
5729.156.0.0/1729.156.0.1 to 29.156.127.25429.156.127.25532,766
5829.156.128.0/1729.156.128.1 to 29.156.255.25429.156.255.25532,766
5929.157.0.0/1729.157.0.1 to 29.157.127.25429.157.127.25532,766
6029.157.128.0/1729.157.128.1 to 29.157.255.25429.157.255.25532,766
6129.158.0.0/1729.158.0.1 to 29.158.127.25429.158.127.25532,766
6229.158.128.0/1729.158.128.1 to 29.158.255.25429.158.255.25532,766
6329.159.0.0/1729.159.0.1 to 29.159.127.25429.159.127.25532,766
6429.159.128.0/1729.159.128.1 to 29.159.255.25429.159.255.25532,766
6529.160.0.0/1729.160.0.1 to 29.160.127.25429.160.127.25532,766
6629.160.128.0/1729.160.128.1 to 29.160.255.25429.160.255.25532,766
6729.161.0.0/1729.161.0.1 to 29.161.127.25429.161.127.25532,766
6829.161.128.0/1729.161.128.1 to 29.161.255.25429.161.255.25532,766
6929.162.0.0/1729.162.0.1 to 29.162.127.25429.162.127.25532,766
7029.162.128.0/1729.162.128.1 to 29.162.255.25429.162.255.25532,766
7129.163.0.0/1729.163.0.1 to 29.163.127.25429.163.127.25532,766
7229.163.128.0/1729.163.128.1 to 29.163.255.25429.163.255.25532,766
7329.164.0.0/1729.164.0.1 to 29.164.127.25429.164.127.25532,766
7429.164.128.0/1729.164.128.1 to 29.164.255.25429.164.255.25532,766
7529.165.0.0/1729.165.0.1 to 29.165.127.25429.165.127.25532,766
7629.165.128.0/1729.165.128.1 to 29.165.255.25429.165.255.25532,766
7729.166.0.0/1729.166.0.1 to 29.166.127.25429.166.127.25532,766
7829.166.128.0/1729.166.128.1 to 29.166.255.25429.166.255.25532,766
7929.167.0.0/1729.167.0.1 to 29.167.127.25429.167.127.25532,766
8029.167.128.0/1729.167.128.1 to 29.167.255.25429.167.255.25532,766
8129.168.0.0/1729.168.0.1 to 29.168.127.25429.168.127.25532,766
8229.168.128.0/1729.168.128.1 to 29.168.255.25429.168.255.25532,766
8329.169.0.0/1729.169.0.1 to 29.169.127.25429.169.127.25532,766
8429.169.128.0/1729.169.128.1 to 29.169.255.25429.169.255.25532,766
8529.170.0.0/1729.170.0.1 to 29.170.127.25429.170.127.25532,766
8629.170.128.0/1729.170.128.1 to 29.170.255.25429.170.255.25532,766
8729.171.0.0/1729.171.0.1 to 29.171.127.25429.171.127.25532,766
8829.171.128.0/1729.171.128.1 to 29.171.255.25429.171.255.25532,766
8929.172.0.0/1729.172.0.1 to 29.172.127.25429.172.127.25532,766
9029.172.128.0/1729.172.128.1 to 29.172.255.25429.172.255.25532,766
9129.173.0.0/1729.173.0.1 to 29.173.127.25429.173.127.25532,766
9229.173.128.0/1729.173.128.1 to 29.173.255.25429.173.255.25532,766
9329.174.0.0/1729.174.0.1 to 29.174.127.25429.174.127.25532,766
9429.174.128.0/1729.174.128.1 to 29.174.255.25429.174.255.25532,766
9529.175.0.0/1729.175.0.1 to 29.175.127.25429.175.127.25532,766
9629.175.128.0/1729.175.128.1 to 29.175.255.25429.175.255.25532,766
9729.176.0.0/1729.176.0.1 to 29.176.127.25429.176.127.25532,766
9829.176.128.0/1729.176.128.1 to 29.176.255.25429.176.255.25532,766
9929.177.0.0/1729.177.0.1 to 29.177.127.25429.177.127.25532,766
10029.177.128.0/1729.177.128.1 to 29.177.255.25429.177.255.25532,766
10129.178.0.0/1729.178.0.1 to 29.178.127.25429.178.127.25532,766
10229.178.128.0/1729.178.128.1 to 29.178.255.25429.178.255.25532,766
10329.179.0.0/1729.179.0.1 to 29.179.127.25429.179.127.25532,766
10429.179.128.0/1729.179.128.1 to 29.179.255.25429.179.255.25532,766
10529.180.0.0/1729.180.0.1 to 29.180.127.25429.180.127.25532,766
10629.180.128.0/1729.180.128.1 to 29.180.255.25429.180.255.25532,766
10729.181.0.0/1729.181.0.1 to 29.181.127.25429.181.127.25532,766
10829.181.128.0/1729.181.128.1 to 29.181.255.25429.181.255.25532,766
10929.182.0.0/1729.182.0.1 to 29.182.127.25429.182.127.25532,766
11029.182.128.0/1729.182.128.1 to 29.182.255.25429.182.255.25532,766
11129.183.0.0/1729.183.0.1 to 29.183.127.25429.183.127.25532,766
11229.183.128.0/1729.183.128.1 to 29.183.255.25429.183.255.25532,766
11329.184.0.0/1729.184.0.1 to 29.184.127.25429.184.127.25532,766
11429.184.128.0/1729.184.128.1 to 29.184.255.25429.184.255.25532,766
11529.185.0.0/1729.185.0.1 to 29.185.127.25429.185.127.25532,766
11629.185.128.0/1729.185.128.1 to 29.185.255.25429.185.255.25532,766
11729.186.0.0/1729.186.0.1 to 29.186.127.25429.186.127.25532,766
11829.186.128.0/1729.186.128.1 to 29.186.255.25429.186.255.25532,766
11929.187.0.0/1729.187.0.1 to 29.187.127.25429.187.127.25532,766
12029.187.128.0/1729.187.128.1 to 29.187.255.25429.187.255.25532,766
12129.188.0.0/1729.188.0.1 to 29.188.127.25429.188.127.25532,766
12229.188.128.0/1729.188.128.1 to 29.188.255.25429.188.255.25532,766
12329.189.0.0/1729.189.0.1 to 29.189.127.25429.189.127.25532,766
12429.189.128.0/1729.189.128.1 to 29.189.255.25429.189.255.25532,766
12529.190.0.0/1729.190.0.1 to 29.190.127.25429.190.127.25532,766
12629.190.128.0/1729.190.128.1 to 29.190.255.25429.190.255.25532,766
12729.191.0.0/1729.191.0.1 to 29.191.127.25429.191.127.25532,766
12829.191.128.0/1729.191.128.1 to 29.191.255.25429.191.255.25532,766
12929.192.0.0/1729.192.0.1 to 29.192.127.25429.192.127.25532,766
13029.192.128.0/1729.192.128.1 to 29.192.255.25429.192.255.25532,766
13129.193.0.0/1729.193.0.1 to 29.193.127.25429.193.127.25532,766
13229.193.128.0/1729.193.128.1 to 29.193.255.25429.193.255.25532,766
13329.194.0.0/1729.194.0.1 to 29.194.127.25429.194.127.25532,766
13429.194.128.0/1729.194.128.1 to 29.194.255.25429.194.255.25532,766
13529.195.0.0/1729.195.0.1 to 29.195.127.25429.195.127.25532,766
13629.195.128.0/1729.195.128.1 to 29.195.255.25429.195.255.25532,766
13729.196.0.0/1729.196.0.1 to 29.196.127.25429.196.127.25532,766
13829.196.128.0/1729.196.128.1 to 29.196.255.25429.196.255.25532,766
13929.197.0.0/1729.197.0.1 to 29.197.127.25429.197.127.25532,766
14029.197.128.0/1729.197.128.1 to 29.197.255.25429.197.255.25532,766
14129.198.0.0/1729.198.0.1 to 29.198.127.25429.198.127.25532,766
14229.198.128.0/1729.198.128.1 to 29.198.255.25429.198.255.25532,766
14329.199.0.0/1729.199.0.1 to 29.199.127.25429.199.127.25532,766
14429.199.128.0/1729.199.128.1 to 29.199.255.25429.199.255.25532,766
14529.200.0.0/1729.200.0.1 to 29.200.127.25429.200.127.25532,766
14629.200.128.0/1729.200.128.1 to 29.200.255.25429.200.255.25532,766
14729.201.0.0/1729.201.0.1 to 29.201.127.25429.201.127.25532,766
14829.201.128.0/1729.201.128.1 to 29.201.255.25429.201.255.25532,766
14929.202.0.0/1729.202.0.1 to 29.202.127.25429.202.127.25532,766
15029.202.128.0/1729.202.128.1 to 29.202.255.25429.202.255.25532,766
15129.203.0.0/1729.203.0.1 to 29.203.127.25429.203.127.25532,766
15229.203.128.0/1729.203.128.1 to 29.203.255.25429.203.255.25532,766
15329.204.0.0/1729.204.0.1 to 29.204.127.25429.204.127.25532,766
15429.204.128.0/1729.204.128.1 to 29.204.255.25429.204.255.25532,766
15529.205.0.0/1729.205.0.1 to 29.205.127.25429.205.127.25532,766
15629.205.128.0/1729.205.128.1 to 29.205.255.25429.205.255.25532,766
15729.206.0.0/1729.206.0.1 to 29.206.127.25429.206.127.25532,766
15829.206.128.0/1729.206.128.1 to 29.206.255.25429.206.255.25532,766
15929.207.0.0/1729.207.0.1 to 29.207.127.25429.207.127.25532,766
16029.207.128.0/1729.207.128.1 to 29.207.255.25429.207.255.25532,766
16129.208.0.0/1729.208.0.1 to 29.208.127.25429.208.127.25532,766
16229.208.128.0/1729.208.128.1 to 29.208.255.25429.208.255.25532,766
16329.209.0.0/1729.209.0.1 to 29.209.127.25429.209.127.25532,766
16429.209.128.0/1729.209.128.1 to 29.209.255.25429.209.255.25532,766
16529.210.0.0/1729.210.0.1 to 29.210.127.25429.210.127.25532,766
16629.210.128.0/1729.210.128.1 to 29.210.255.25429.210.255.25532,766
16729.211.0.0/1729.211.0.1 to 29.211.127.25429.211.127.25532,766
16829.211.128.0/1729.211.128.1 to 29.211.255.25429.211.255.25532,766
16929.212.0.0/1729.212.0.1 to 29.212.127.25429.212.127.25532,766
17029.212.128.0/1729.212.128.1 to 29.212.255.25429.212.255.25532,766
17129.213.0.0/1729.213.0.1 to 29.213.127.25429.213.127.25532,766
17229.213.128.0/1729.213.128.1 to 29.213.255.25429.213.255.25532,766
17329.214.0.0/1729.214.0.1 to 29.214.127.25429.214.127.25532,766
17429.214.128.0/1729.214.128.1 to 29.214.255.25429.214.255.25532,766
17529.215.0.0/1729.215.0.1 to 29.215.127.25429.215.127.25532,766
17629.215.128.0/1729.215.128.1 to 29.215.255.25429.215.255.25532,766
17729.216.0.0/1729.216.0.1 to 29.216.127.25429.216.127.25532,766
17829.216.128.0/1729.216.128.1 to 29.216.255.25429.216.255.25532,766
17929.217.0.0/1729.217.0.1 to 29.217.127.25429.217.127.25532,766
18029.217.128.0/1729.217.128.1 to 29.217.255.25429.217.255.25532,766
18129.218.0.0/1729.218.0.1 to 29.218.127.25429.218.127.25532,766
18229.218.128.0/1729.218.128.1 to 29.218.255.25429.218.255.25532,766
18329.219.0.0/1729.219.0.1 to 29.219.127.25429.219.127.25532,766
18429.219.128.0/1729.219.128.1 to 29.219.255.25429.219.255.25532,766
18529.220.0.0/1729.220.0.1 to 29.220.127.25429.220.127.25532,766
18629.220.128.0/1729.220.128.1 to 29.220.255.25429.220.255.25532,766
18729.221.0.0/1729.221.0.1 to 29.221.127.25429.221.127.25532,766
18829.221.128.0/1729.221.128.1 to 29.221.255.25429.221.255.25532,766
18929.222.0.0/1729.222.0.1 to 29.222.127.25429.222.127.25532,766
19029.222.128.0/1729.222.128.1 to 29.222.255.25429.222.255.25532,766
19129.223.0.0/1729.223.0.1 to 29.223.127.25429.223.127.25532,766
19229.223.128.0/1729.223.128.1 to 29.223.255.25429.223.255.25532,766
19329.224.0.0/1729.224.0.1 to 29.224.127.25429.224.127.25532,766
19429.224.128.0/1729.224.128.1 to 29.224.255.25429.224.255.25532,766
19529.225.0.0/1729.225.0.1 to 29.225.127.25429.225.127.25532,766
19629.225.128.0/1729.225.128.1 to 29.225.255.25429.225.255.25532,766
19729.226.0.0/1729.226.0.1 to 29.226.127.25429.226.127.25532,766
19829.226.128.0/1729.226.128.1 to 29.226.255.25429.226.255.25532,766
19929.227.0.0/1729.227.0.1 to 29.227.127.25429.227.127.25532,766
20029.227.128.0/1729.227.128.1 to 29.227.255.25429.227.255.25532,766
20129.228.0.0/1729.228.0.1 to 29.228.127.25429.228.127.25532,766
20229.228.128.0/1729.228.128.1 to 29.228.255.25429.228.255.25532,766
20329.229.0.0/1729.229.0.1 to 29.229.127.25429.229.127.25532,766
20429.229.128.0/1729.229.128.1 to 29.229.255.25429.229.255.25532,766
20529.230.0.0/1729.230.0.1 to 29.230.127.25429.230.127.25532,766
20629.230.128.0/1729.230.128.1 to 29.230.255.25429.230.255.25532,766
20729.231.0.0/1729.231.0.1 to 29.231.127.25429.231.127.25532,766
20829.231.128.0/1729.231.128.1 to 29.231.255.25429.231.255.25532,766
20929.232.0.0/1729.232.0.1 to 29.232.127.25429.232.127.25532,766
21029.232.128.0/1729.232.128.1 to 29.232.255.25429.232.255.25532,766
21129.233.0.0/1729.233.0.1 to 29.233.127.25429.233.127.25532,766
21229.233.128.0/1729.233.128.1 to 29.233.255.25429.233.255.25532,766
21329.234.0.0/1729.234.0.1 to 29.234.127.25429.234.127.25532,766
21429.234.128.0/1729.234.128.1 to 29.234.255.25429.234.255.25532,766
21529.235.0.0/1729.235.0.1 to 29.235.127.25429.235.127.25532,766
21629.235.128.0/1729.235.128.1 to 29.235.255.25429.235.255.25532,766
21729.236.0.0/1729.236.0.1 to 29.236.127.25429.236.127.25532,766
21829.236.128.0/1729.236.128.1 to 29.236.255.25429.236.255.25532,766
21929.237.0.0/1729.237.0.1 to 29.237.127.25429.237.127.25532,766
22029.237.128.0/1729.237.128.1 to 29.237.255.25429.237.255.25532,766
22129.238.0.0/1729.238.0.1 to 29.238.127.25429.238.127.25532,766
22229.238.128.0/1729.238.128.1 to 29.238.255.25429.238.255.25532,766
22329.239.0.0/1729.239.0.1 to 29.239.127.25429.239.127.25532,766
22429.239.128.0/1729.239.128.1 to 29.239.255.25429.239.255.25532,766
22529.240.0.0/1729.240.0.1 to 29.240.127.25429.240.127.25532,766
22629.240.128.0/1729.240.128.1 to 29.240.255.25429.240.255.25532,766
22729.241.0.0/1729.241.0.1 to 29.241.127.25429.241.127.25532,766
22829.241.128.0/1729.241.128.1 to 29.241.255.25429.241.255.25532,766
22929.242.0.0/1729.242.0.1 to 29.242.127.25429.242.127.25532,766
23029.242.128.0/1729.242.128.1 to 29.242.255.25429.242.255.25532,766
23129.243.0.0/1729.243.0.1 to 29.243.127.25429.243.127.25532,766
23229.243.128.0/1729.243.128.1 to 29.243.255.25429.243.255.25532,766
23329.244.0.0/1729.244.0.1 to 29.244.127.25429.244.127.25532,766
23429.244.128.0/1729.244.128.1 to 29.244.255.25429.244.255.25532,766
23529.245.0.0/1729.245.0.1 to 29.245.127.25429.245.127.25532,766
23629.245.128.0/1729.245.128.1 to 29.245.255.25429.245.255.25532,766
23729.246.0.0/1729.246.0.1 to 29.246.127.25429.246.127.25532,766
23829.246.128.0/1729.246.128.1 to 29.246.255.25429.246.255.25532,766
23929.247.0.0/1729.247.0.1 to 29.247.127.25429.247.127.25532,766
24029.247.128.0/1729.247.128.1 to 29.247.255.25429.247.255.25532,766
24129.248.0.0/1729.248.0.1 to 29.248.127.25429.248.127.25532,766
24229.248.128.0/1729.248.128.1 to 29.248.255.25429.248.255.25532,766
24329.249.0.0/1729.249.0.1 to 29.249.127.25429.249.127.25532,766
24429.249.128.0/1729.249.128.1 to 29.249.255.25429.249.255.25532,766
24529.250.0.0/1729.250.0.1 to 29.250.127.25429.250.127.25532,766
24629.250.128.0/1729.250.128.1 to 29.250.255.25429.250.255.25532,766
24729.251.0.0/1729.251.0.1 to 29.251.127.25429.251.127.25532,766
24829.251.128.0/1729.251.128.1 to 29.251.255.25429.251.255.25532,766
24929.252.0.0/1729.252.0.1 to 29.252.127.25429.252.127.25532,766
25029.252.128.0/1729.252.128.1 to 29.252.255.25429.252.255.25532,766
25129.253.0.0/1729.253.0.1 to 29.253.127.25429.253.127.25532,766
25229.253.128.0/1729.253.128.1 to 29.253.255.25429.253.255.25532,766
25329.254.0.0/1729.254.0.1 to 29.254.127.25429.254.127.25532,766
25429.254.128.0/1729.254.128.1 to 29.254.255.25429.254.255.25532,766
25529.255.0.0/1729.255.0.1 to 29.255.127.25429.255.127.25532,766
25629.255.128.0/1729.255.128.1 to 29.255.255.25429.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses